## php-monolog 3.8.1

=== debian/changelog ===
php-monolog (3.8.1-5) unstable; urgency=medium

  * Drop failing assertions on 32-bit architectures

 -- David Prévot <taffit@debian.org>  Tue, 04 Mar 2025 08:09:14 +0100

php-monolog (3.8.1-4) unstable; urgency=medium

  * Modernize PHPUnit syntax
  * Use php-mongodb for the tests
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Fri, 28 Feb 2025 13:24:35 +0100

php-monolog (3.8.1-3) unstable; urgency=medium

  * Drop phpunit version from build-dependencies

 -- David Prévot <taffit@debian.org>  Sun, 19 Jan 2025 09:11:23 +0100

php-monolog (3.8.1-2) unstable; urgency=medium

  * Upload to unstable in sync with PHPUnit 11

 -- David Prévot <taffit@debian.org>  Fri, 10 Jan 2025 11:32:14 +0100

php-monolog (3.8.1-1) experimental; urgency=medium

  [ Jordi Boggiano ]
  * Fix gelf formatter keys to strip invalid characters, fixes #1927
  * Remove empty lines if a custom stack trace parser returns null, fixes #1925
  * Update changelog

  [ Ruud Kamphuis ]
  * Deprecate DateTimeImmutable (#1928)

 -- David Prévot <taffit@debian.org>  Wed, 25 Dec 2024 21:47:50 +0100

php-monolog (3.8.0-1) experimental; urgency=medium

  [ Jordi Boggiano ]
  * Close and reopen file handles if a write fails (#1882)
  * Auto-close streams when reset() is called, fixes #1862
  * Fix RotatingFileHandler bug where rotation could sometimes not happen
    correctly, fixes #1905
  * Fix patch
  * Update changelog

  [ Kirill Nesmeyanov ]
  * Fix PHP 8.4 deprecation notices (#1903)

  [ Luboš Hubáček ]
  * Make IntrospectionProcessor extendable (#1899)

  [ Eric Emmrich ]
  * ProcessHandler: Make timeout of `stream_select()` configurable (#1916)

  [ Pedro Peixoto ]
  * Allow the user to define a custom mode when `fopen`-ing a log file (#1913)

  [ Jonathan Plantey ]
  * Normalize call normalizeRecord if necessary (#1906)

  [ David Prévot ]
  * Revert "Force system dependencies loading"
  * Drop now useless override file

 -- David Prévot <taffit@debian.org>  Sun, 17 Nov 2024 10:49:27 +0100

php-monolog (3.7.0-1) experimental; urgency=medium

  [ Jordi Boggiano ]
  * Ensure private error handler does not cause problems, fixes #1866
  * Fix json formatter handling of incomplete classes, fixes #1834
  * Also add setBasePath to NormalizerFormatter/JsonFormatter
  * Update changelog

 -- David Prévot <taffit@debian.org>  Tue, 23 Jul 2024 17:35:57 +0900

php-monolog (3.6.0-1) experimental; urgency=medium

  [ Jordi Boggiano ]
  * Allow more modern phpunit
  * Fix PHP 8.4 build error
  * Update changelog

  [ Luiz “Felds” Liscia ]
  * Remove `final` from class declaration (#1859)

  [ Vincent Langlet ]
  * Avoid throwing an exception when the toString fails (#1868)

  [ Witold Wasiczko ]
  * Include extra in context in PsrHandler (#1852)

  [ Sebastian Muszynski ]
  * Convert GelfMessage into string required by createAmqpMessage (#1869)

  [ cracksalad ]
  * [#1878] User definable duplication for DeduplicationHandler (#1879)

  [ cesarreyes3 ]
  * Remove base path on LineFormatter (#1873)

  [ David Prévot ]
  * Update Standards-Version to 4.7.0
  * Use PHPUnit 10

 -- David Prévot <taffit@debian.org>  Mon, 15 Apr 2024 07:51:22 +0200

php-monolog (3.5.0-2) experimental; urgency=medium

  * Force system dependencies loading
  * Fix d/clean
  * Revert upgrade to phpunit 10

 -- David Prévot <taffit@debian.org>  Sun, 10 Mar 2024 14:26:21 +0100

php-monolog (3.5.0-1) experimental; urgency=medium

  [ Jordi Boggiano ]
  * Add ability to indent stack traces in LineFormatter, fixes #1835
  * Add logo/favicon, closes #1849
  * Update changelog

  [ 李铭昕 ]
  * Fixed bug that `restore_error_handler` will not be executed if there is
    an exception before restore should happen (#1815)

  [ Christophe Coevoet ]
  * Add a WithMonologChannel attribute (#1847)

  [ omerimzali ]
  * Loggly handler loglevel comparison statement fixed (#1841)

  [ Egor Korobov ]
  * Fix fatal error in NormalizeFormatter: method_exists(): The script tried
    to execute a method or access a property of an incomplete object.

  [ dong ]
  * Let indexed arrays to support inline linebreaks in LineFormatter (#1818)

  [ Cosmin Ardeleanu ]
  * Fix LogRecord "extra" data leaking between handlers (#1819)

 -- David Prévot <taffit@debian.org>  Wed, 01 Nov 2023 11:00:45 +0100

php-monolog (3.4.0-1) experimental; urgency=medium

  [ chris ]
  * Upgrade to phpunit 10 (#1806)

  [ David Prévot ]
  * Use PHPUnit 10

 -- David Prévot <taffit@debian.org>  Sat, 24 Jun 2023 09:05:17 +0200

php-monolog (3.3.1-1) experimental; urgency=medium

  [ pafernandez-oesia ]
  * Update BrowserConsoleHandler console output method (#1739)

  [ Jordi Boggiano ]
  * Add graylog2/gelf-php 2.x support, fixes #1747
  * Deprecate FlowdockHandler and formatter as the service was shutdown,
    fixes #1748
  * Allow predis 2.x in Monolog 3 as well, fixes #1732
  * Update changelog

  [ Grégoire Pineau ]
  * Fix bug with level in GitProcessor (#1749)

  [ Sergey Rabochiy ]
  * Add ClosureContextProcessor (#1745)

  [ Mikhail Popov ]
  * Fix setting of extra attributes in AmqpHandler when handling batches of
    records (#1781)

  [ Bart Swaalf ]
  * Add support for enum context values to psr formatter (#1773)

  [ Identei ]
  * Add an option to set the op_type for the ElasticsearchHandler (#1766)

  [ Tetragramat ]
  * WhatFailureGroupHandler catches failures in method close (#1791)

  [ David Prévot ]
  * Update standards version to 4.6.2, no changes needed.

 -- David Prévot <taffit@debian.org>  Fri, 10 Feb 2023 07:48:50 +0100

php-monolog (3.2.0-1) experimental; urgency=medium

  [ Jordi Boggiano ]
  * Update changelog

  [ David Prévot ]
  * Drop now usless d/pkg-php-tools-* entries

 -- David Prévot <taffit@debian.org>  Wed, 27 Jul 2022 11:49:41 +0200

php-monolog (3.1.0-1) experimental; urgency=medium

  * Upload new major to experimental

  [ Jordi Boggiano ]
  * Add LogRecord class, drop PHP <8.1
  * Remove SwiftMailerHandler
  * Update changelog


