## php-monolog 3.9.0

=== debian/changelog ===
php-monolog (3.9.0-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Fix gelf message formatter failing to handle context/extra numeric keys,
    fixes #1932
  * Update changelog

  [ Jeff W ]
  * Add a mail() hook to NativeMailHandler. (#1948)

  [ Andrii Shevchenko ]
  * added possibility to set child handler after instantiation (#1946)

  [ Rajmund ]
  * Change datetime format from ISO 8601 to ATOM in ElasticsearchFormatter
    and related tests (#1942)
  * SendGrid V3 API (#1952)

  [ Markus Staab ]
  * Rename TestCase to MonologTestCase (#1953)

 -- David Prévot <taffit@debian.org>  Fri, 28 Mar 2025 08:02:00 +0100
