=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

execute_after_dh_auto_build:
	mkdir --parents vendor
	phpabtpl composer.json > debian/autoload.php.tpl
	phpab	--output src/Monolog/autoload.php \
		--template debian/autoload.php.tpl \
		src/Monolog
	phpabtpl \
		--require-file ../src/Monolog/autoload.php \
		--require guzzlehttp/guzzle \
		--require predis/predis \
		--require symfony/mailer \
		--require symfony/mime \
		> debian/autoload.tests.php.tpl
	phpab	--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		tests/Monolog

override_dh_auto_test:
	phpunit --include-path src --exclude-group Elasticsearch
