## php-monolog 3.10.0

=== debian/changelog ===
php-monolog (3.10.0-2) unstable; urgency=medium

  * Compatibility with recent PHPUnit (13)

 -- David Prévot <taffit@debian.org>  Sun, 08 Feb 2026 09:52:23 +0100

php-monolog (3.10.0-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Add NoDiscard attr, fixes #2012 (#2013)
  * Update changelog

  [ Tobias Lorenz ]
  * convert booleans to int since gelf 1.1 only supports string/number (#1973)

  [ angeljqv ]
  * Avoid empty espace on empty trace (#1979)
  * Normalize DIRECTORY_SEPARATOR on file traces(exceptions) (#1980)
  * Fix PHP 8.5 `__sleep` deprecation (#1997)

  [ Jeremy Mikola ]
  * Replace deprecated code in MongoDB classes and allow 2.0+ (#1998)

  [ Cesar Garcia ]
  * Add handling of inode changes to reopen files in StreamHandler (#1963)

  [ Dawid Nowak ]
  * TelegramBotHandler: three dots replacement… (#1993)

  [ greggebura ]
  * Fix issue https://github.com/Seldaek/monolog/issues/1984 (#1999)

  [ Chuoke ]
  * feat: Add automatic empty directory cleanup in RotatingFileHandler (#2000)

  [ Hugues Peccatte ]
  * Rotate files based on timezone (#1982)

  [ Louis-Arnaud ]
  * Remove deprecated curl_close() calls for PHP 8.5 compatibility (#2009)

  [ Adrien SIMON ]
  * Fix json formatter does not catch to string exceptions (#1968)

  [ David Prévot ]
  * Convert d/watch to version 5
  * Update Standards-Version to 4.7.3
  * Remove Rules-Requires-Root

 -- David Prévot <taffit@debian.org>  Fri, 02 Jan 2026 16:13:10 +0100
