=== debian/control ===
Source: php-monolog
Section: php
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-phpcomposer,
               php-amqp <!nocheck>,
               php-amqplib,
               php-curl <!nocheck>,
               php-guzzlehttp-guzzle <!nocheck>,
               php-mongodb <!nocheck>,
               php-predis <!nocheck>,
               php-psr-log <!nocheck>,
               php-redis <!nocheck>,
               php-symfony-mailer <!nocheck>,
               php-symfony-mime <!nocheck>,
               phpab,
               phpunit (>= 13) <!nocheck> <!stage1>
Standards-Version: 4.7.3
Homepage: https://github.com/Seldaek/monolog
Vcs-Git: https://salsa.debian.org/php-team/pear/php-monolog.git
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-monolog

Package: php-monolog
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: git, ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: send logs to various destination and web services
 ${phpcomposer:description}
 .
 This library implements the PSR-3 interface that can be used in other
 libraries and applications to keep a maximum of interoperability, and
 make sure another compatible logger can always be used at a later time.
