=== debian/tests/control ===
--- 
+++ 
@@ -10,6 +10,6 @@
          php-symfony-mailer,
          php-symfony-mime,
          phpab,
-         phpunit (>= 10),
+         phpunit (>= 13),
          pkg-php-tools,
          @
